Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/AdaptiveSamplingAlgorithm.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/AdaptiveSamplingAlgorithm.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/AdaptiveSamplingAlgorithm.cs	(revision 17332)
@@ -3,4 +3,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.DataAnalysis;
 using HeuristicLab.Analysis;
@@ -13,5 +14,4 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Random;
@@ -20,6 +20,6 @@
   [Item("Adaptive Sampling Algorithm (EGO)", "An adaptive sampling algorithm.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 150)]
-  [StorableClass]
-  public class AdaptiveSamplingAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
+    [StorableType("7c77511b-4dcc-4dbb-bdbb-e9af304dd352")]
+    public class AdaptiveSamplingAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
 
@@ -110,5 +110,5 @@
     #region Constructors
     [StorableConstructor]
-    protected AdaptiveSamplingAlgorithm(bool deserializing) : base(deserializing) { }
+    protected AdaptiveSamplingAlgorithm(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteAdaptiveSamplingAlgorithm.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteAdaptiveSamplingAlgorithm.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteAdaptiveSamplingAlgorithm.cs	(revision 17332)
@@ -3,4 +3,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.DataAnalysis;
 using HeuristicLab.Analysis;
@@ -13,5 +14,4 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Random;
@@ -20,6 +20,6 @@
   [Item("Discrete Adaptive Sampling Algorithm (D-EGO)", "A discrete adaptive sampling algorithm.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 150)]
-  [StorableClass]
-  public class DiscreteAdaptiveSamplingAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
+    [StorableType("39e06191-714c-44e0-8b57-a5a64f072371")]
+    public class DiscreteAdaptiveSamplingAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
 
@@ -115,5 +115,5 @@
     #region Constructors
     [StorableConstructor]
-    protected DiscreteAdaptiveSamplingAlgorithm(bool deserializing) : base(deserializing) { }
+    protected DiscreteAdaptiveSamplingAlgorithm(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteCorrelationAnalyzer.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteCorrelationAnalyzer.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteCorrelationAnalyzer.cs	(revision 17332)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Analysis;
 using HeuristicLab.Common;
@@ -30,11 +31,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("DiscreteCorrelationAnalyzer", "Analyzes the correlation between perdictions and actual fitness values")]
-  [StorableClass]
-  public class DiscreteCorrelationAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
+    [StorableType("1657262e-1ada-4672-a073-bc8b144ecf42")]
+    public class DiscreteCorrelationAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
     public override bool CanChangeName => true;
     public bool EnabledByDefault => false;
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected DiscreteCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected DiscreteCorrelationAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DiscreteCorrelationAnalyzer(DiscreteCorrelationAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public DiscreteCorrelationAnalyzer() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteEfficientGlobalOptimizationAlgorithm.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteEfficientGlobalOptimizationAlgorithm.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteEfficientGlobalOptimizationAlgorithm.cs	(revision 17332)
@@ -24,6 +24,6 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.DataAnalysis;
-using HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm;
 using HeuristicLab.Analysis;
 using HeuristicLab.Common;
@@ -33,5 +33,4 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.Instances;
@@ -39,6 +38,6 @@
 
 namespace HeuristicLab.Algorithms.EGO {
-  [StorableClass]
-  [Creatable(CreatableAttribute.Categories.Algorithms, Priority = 95)]
+    [StorableType("26f99b28-75f1-4186-9c8b-b5c0548ea768")]
+    [Creatable(CreatableAttribute.Categories.Algorithms, Priority = 95)]
   [Item("DiscreteEfficientGlobalOptimizationAlgorithm", "Solves a problem by sequentially learning a model, solving a subproblem on the model and evaluating the best found solution for this subproblem.")]
   public class DiscreteEfficientGlobalOptimizationAlgorithm : BasicAlgorithm, ISurrogateAlgorithm<IntegerVector> {
@@ -158,5 +157,5 @@
     #region HLConstructors
     [StorableConstructor]
-    protected DiscreteEfficientGlobalOptimizationAlgorithm(bool deserializing) : base(deserializing) { }
+    protected DiscreteEfficientGlobalOptimizationAlgorithm(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     protected void AfterDeseialization() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteEvaluatedSolutionsAnalyzer.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteEvaluatedSolutionsAnalyzer.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteEvaluatedSolutionsAnalyzer.cs	(revision 17332)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Analysis;
 using HeuristicLab.Common;
@@ -30,10 +31,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("DiscreteEvaluatedSolutionsAnalyzer", "Displays the evaluated Solutions for one or two dimensional problems")]
-  [StorableClass]
-  public class DiscreteEvaluatedSolutionsAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
+    [StorableType("7a785e19-b120-4037-8acb-9223f19a2401")]
+    public class DiscreteEvaluatedSolutionsAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
     public override bool CanChangeName => true;
     public bool EnabledByDefault => false;
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    protected DiscreteEvaluatedSolutionsAnalyzer(bool deserializing) : base(deserializing) { }
+    protected DiscreteEvaluatedSolutionsAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DiscreteEvaluatedSolutionsAnalyzer(DiscreteEvaluatedSolutionsAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public DiscreteEvaluatedSolutionsAnalyzer() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteInfillProblem.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteInfillProblem.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteInfillProblem.cs	(revision 17332)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -29,10 +30,9 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.EGO {
-  [StorableClass]
-  [Item("DiscreteInfillProblem", "A problem for finding the most interesing potential new sampling Points by optimizing some InfillCriterion")]
+    [StorableType("7a98818c-8434-4a33-8230-2b2486772af6")]
+    [Item("DiscreteInfillProblem", "A problem for finding the most interesing potential new sampling Points by optimizing some InfillCriterion")]
   public sealed class DiscreteInfillProblem : SingleObjectiveBasicProblem<IntegerVectorEncoding> {
 
@@ -59,5 +59,5 @@
     #region Constructors
     [StorableConstructor]
-    private DiscreteInfillProblem(bool deserializing) : base(deserializing) { }
+    private DiscreteInfillProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     private DiscreteInfillProblem(DiscreteInfillProblem original, Cloner cloner) : base(original, cloner) {
       infillCriterion = cloner.Clone(original.infillCriterion);
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteInfillSolver.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteInfillSolver.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteInfillSolver.cs	(revision 17332)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Collections.Generic;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -30,11 +31,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("DiscreteInfillSolver", "An IntegerVectorCreator that creates candidates by optimizing an infill-subproblem")]
-  [StorableClass]
-  public class DiscreteInfillSolver : IntegerVectorCreator, ICancellableOperator {
+    [StorableType("50004a0b-b3aa-438c-bd80-bd5ff1763683")]
+    public class DiscreteInfillSolver : IntegerVectorCreator, ICancellableOperator {
 
     public ILookupParameter<IAlgorithm> InfillOptimizationAlgorithmParamter => (ILookupParameter<IAlgorithm>)Parameters["InfillAlgorithm"];
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected DiscreteInfillSolver(bool deserializing) : base(deserializing) { }
+    protected DiscreteInfillSolver(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DiscreteInfillSolver(DiscreteInfillSolver original, Cloner cloner) : base(original, cloner) { }
     public DiscreteInfillSolver() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteSampleCollector.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteSampleCollector.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/DiscreteEGO/DiscreteSampleCollector.cs	(revision 17332)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -28,11 +29,10 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("DiscreteSampleCollector", "Collects IntegerVectors into a modifiablbe dataset")]
-  [StorableClass]
-  public class DiscreteSampleCollector : InstrumentedOperator {
+    [StorableType("b8638624-f79f-41e6-a837-d70824c00082")]
+    public class DiscreteSampleCollector : InstrumentedOperator {
     public override bool CanChangeName => true;
 
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected DiscreteSampleCollector(bool deserializing) : base(deserializing) { }
+    protected DiscreteSampleCollector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DiscreteSampleCollector(DiscreteSampleCollector original, Cloner cloner) : base(original, cloner) { }
     public DiscreteSampleCollector() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/EfficientGlobalOptimizationAlgorithm.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/EfficientGlobalOptimizationAlgorithm.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/EfficientGlobalOptimizationAlgorithm.cs	(revision 17332)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.DataAnalysis;
 using HeuristicLab.Analysis;
@@ -32,5 +33,4 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.Instances;
@@ -38,6 +38,6 @@
 
 namespace HeuristicLab.Algorithms.EGO {
-  [StorableClass]
-  [Creatable(CreatableAttribute.Categories.Algorithms, Priority = 95)]
+    [StorableType("bcca4742-9d91-4783-92dd-75dbc8c39f04")]
+    [Creatable(CreatableAttribute.Categories.Algorithms, Priority = 95)]
   [Item("EfficientGlobalOptimizationAlgorithm", "Solves a problem by sequentially learning a model, solving a subproblem on the model and evaluating the best found solution for this subproblem.")]
   public class EfficientGlobalOptimizationAlgorithm : BasicAlgorithm, ISurrogateAlgorithm<RealVector> {
@@ -157,5 +157,5 @@
     #region HLConstructors
     [StorableConstructor]
-    protected EfficientGlobalOptimizationAlgorithm(bool deserializing) : base(deserializing) { }
+    protected EfficientGlobalOptimizationAlgorithm(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     protected void AfterDeseialization() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/HeuristicLab.Algorithms.EGO-3.4.csproj
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/HeuristicLab.Algorithms.EGO-3.4.csproj	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/HeuristicLab.Algorithms.EGO-3.4.csproj	(revision 17332)
@@ -10,6 +10,7 @@
     <RootNamespace>HeuristicLab.Algorithms.EGO</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.EGO-3.4</AssemblyName>
-    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -31,4 +32,8 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HEAL.Attic, Version=1.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\trunk\bin\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.Algorithms.CMAEvolutionStrategy-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
@@ -51,4 +56,8 @@
       <Private>False</Private>
     </Reference>
+    <Reference Include="HeuristicLab.Attic, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\trunk\bin\HeuristicLab.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.Collections-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
@@ -121,8 +130,4 @@
     <Reference Include="HeuristicLab.Problems.Instances-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec">
       <Private>False</Private>
-    </Reference>
-    <Reference Include="HeuristicLab.Problems.SurrogateProblem-3.3, Version=3.3.0.0, Culture=neutral, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\..\trunk\bin\HeuristicLab.Problems.SurrogateProblem-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Random-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/AugmentedExpectedImprovement.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/AugmentedExpectedImprovement.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/AugmentedExpectedImprovement.cs	(revision 17332)
@@ -22,4 +22,5 @@
 using System;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,5 +28,4 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -33,6 +33,6 @@
 namespace HeuristicLab.Algorithms.EGO {
 
-  [StorableClass]
-  [Item("AugmentedExpectedImprovement", "Noisy InfillCriterion, Extension of the Expected Improvement as described in\n Global optimization of stochastic black-box systems via sequential kriging meta-models.\r\nHuang, D., Allen, T., Notz, W., Zeng, N.")]
+    [StorableType("3ef5f8dc-d101-4f52-9daf-ca45c4b461ee")]
+    [Item("AugmentedExpectedImprovement", "Noisy InfillCriterion, Extension of the Expected Improvement as described in\n Global optimization of stochastic black-box systems via sequential kriging meta-models.\r\nHuang, D., Allen, T., Notz, W., Zeng, N.")]
   public class AugmentedExpectedImprovement : ExpectedImprovementBase {
 
@@ -53,5 +53,5 @@
     #region Constructors, Serialization and Cloning 
     [StorableConstructor]
-    protected AugmentedExpectedImprovement(bool deserializing) : base(deserializing) { }
+    protected AugmentedExpectedImprovement(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected AugmentedExpectedImprovement(AugmentedExpectedImprovement original, Cloner cloner) : base(original, cloner) {
       Tau = original.Tau;
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedImprovement.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedImprovement.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedImprovement.cs	(revision 17332)
@@ -22,8 +22,8 @@
 using System;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -31,10 +31,10 @@
 namespace HeuristicLab.Algorithms.EGO {
 
-  [StorableClass]
-  [Item("ExpectedImprovementMeassure", "Extension of the Expected Improvement to a weighted version by ANDRAS SÓBESTER , STEPHEN J. LEARY and ANDY J. KEANE   in \n On the Design of Optimization Strategies Based on Global Response Surface Approximation Models")]
+    [StorableType("a9a7c704-6620-4129-9da3-74d590c8422a")]
+    [Item("ExpectedImprovementMeassure", "Extension of the Expected Improvement to a weighted version by ANDRAS SÓBESTER , STEPHEN J. LEARY and ANDY J. KEANE   in \n On the Design of Optimization Strategies Based on Global Response Surface Approximation Models")]
   public sealed class ExpectedImprovement : ExpectedImprovementBase {
     #region Constructors, Serialization and Cloning 
     [StorableConstructor]
-    private ExpectedImprovement(bool deserializing) : base(deserializing) { }
+    private ExpectedImprovement(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ExpectedImprovement(ExpectedImprovement original, Cloner cloner) : base(original, cloner) { }
     public ExpectedImprovement() { }
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedImprovementBase.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedImprovementBase.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedImprovementBase.cs	(revision 17332)
@@ -21,4 +21,5 @@
 
 using System;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -26,5 +27,4 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -32,6 +32,6 @@
 namespace HeuristicLab.Algorithms.EGO {
 
-  [StorableClass]
-  public abstract class ExpectedImprovementBase : InfillCriterionBase {
+    [StorableType("0c74770e-c3eb-4636-b570-c2d674c11fdb")]
+    public abstract class ExpectedImprovementBase : InfillCriterionBase {
 
     #region ParameterNames
@@ -51,5 +51,5 @@
     #region Constructors, Serialization and Cloning 
     [StorableConstructor]
-    protected ExpectedImprovementBase(bool deserializing) : base(deserializing) { }
+    protected ExpectedImprovementBase(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedQuality.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedQuality.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedQuality.cs	(revision 17332)
@@ -22,16 +22,16 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HEAL.Attic;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 // ReSharper disable once CheckNamespace
 namespace HeuristicLab.Algorithms.EGO {
 
-  [StorableClass]
-  [Item("ExpectedQualityMeassure", "Use the quality predicted by the model")]
+    [StorableType("21e5b05a-7603-46c4-8692-9e672b586244")]
+    [Item("ExpectedQualityMeassure", "Use the quality predicted by the model")]
   public class ExpectedQuality : InfillCriterionBase {
     #region Constructors, Serialization and Cloning 
     [StorableConstructor]
-    protected ExpectedQuality(bool deserializing) : base(deserializing) { }
+    protected ExpectedQuality(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExpectedQuality(ExpectedQuality original, Cloner cloner) : base(original, cloner) { }
     public ExpectedQuality() { }
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedQuantileImprovement.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedQuantileImprovement.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/ExpectedQuantileImprovement.cs	(revision 17332)
@@ -22,4 +22,5 @@
 using System;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,5 +28,4 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -33,6 +33,6 @@
 namespace HeuristicLab.Algorithms.EGO {
 
-  [StorableClass]
-  [Item("ExpectedQuantileImprovement", "Noisy InfillCriterion, Extension of the Expected Improvement as described in \n Noisy expectedimprovement and on - line computation time allocation for the optimization of simulators with tunable fidelitys\r\nPicheny, V., Ginsbourger, D., Richet, Y")]
+    [StorableType("9c260dee-1f7c-4c07-bdef-a9e1bf2b26f8")]
+    [Item("ExpectedQuantileImprovement", "Noisy InfillCriterion, Extension of the Expected Improvement as described in \n Noisy expectedimprovement and on - line computation time allocation for the optimization of simulators with tunable fidelitys\r\nPicheny, V., Ginsbourger, D., Richet, Y")]
   public class ExpectedQuantileImprovement : ExpectedImprovementBase {
 
@@ -56,5 +56,5 @@
     #region HL-Constructors, Serialization and Cloning 
     [StorableConstructor]
-    protected ExpectedQuantileImprovement(bool deserializing) : base(deserializing) { }
+    protected ExpectedQuantileImprovement(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExpectedQuantileImprovement(ExpectedQuantileImprovement original, Cloner cloner) : base(original, cloner) {
       Tau = original.Tau;
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/InfillCriterionBase.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/InfillCriterionBase.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/InfillCriterionBase.cs	(revision 17332)
@@ -20,14 +20,14 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 // ReSharper disable once CheckNamespace
 namespace HeuristicLab.Algorithms.EGO {
-  [StorableClass]
-  public abstract class InfillCriterionBase : ParameterizedNamedItem, IInfillCriterion {
+    [StorableType("bf1f0622-7edc-4258-b79c-b0dc5aca5d70")]
+    public abstract class InfillCriterionBase : ParameterizedNamedItem, IInfillCriterion {
     [Storable]
     public IRegressionSolution RegressionSolution { get; set; }
@@ -37,5 +37,6 @@
     public RealVectorEncoding Encoding { get; set; }
 
-    protected InfillCriterionBase(bool deserializing) : base(deserializing) { }
+    [StorableConstructor]
+    protected InfillCriterionBase(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InfillCriterionBase(InfillCriterionBase original, Cloner cloner) : base(original, cloner) {
       RegressionSolution = cloner.Clone(original.RegressionSolution);
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/MinimalQuantileCriterium.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/MinimalQuantileCriterium.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/MinimalQuantileCriterium.cs	(revision 17332)
@@ -21,4 +21,5 @@
 
 using System;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -26,5 +27,4 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -32,6 +32,6 @@
 namespace HeuristicLab.Algorithms.EGO {
 
-  [StorableClass]
-  [Item("MinimalQuantileCriterium", "Adding or Subtracting the variance * factor to the model estimation")]
+    [StorableType("94ac7c83-b4ae-4d81-ab55-0db37b5f8155")]
+    [Item("MinimalQuantileCriterium", "Adding or Subtracting the variance * factor to the model estimation")]
   public class MinimalQuantileCriterium : InfillCriterionBase {
 
@@ -50,5 +50,5 @@
     #region Constructors, Serialization and Cloning 
     [StorableConstructor]
-    protected MinimalQuantileCriterium(bool deserializing) : base(deserializing) { }
+    protected MinimalQuantileCriterium(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MinimalQuantileCriterium(MinimalQuantileCriterium original, Cloner cloner) : base(original, cloner) { }
     public MinimalQuantileCriterium() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/NeighbourDistance.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/NeighbourDistance.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/NeighbourDistance.cs	(revision 17332)
@@ -20,18 +20,17 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.DataAnalysis;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 // ReSharper disable once CheckNamespace
 namespace HeuristicLab.Algorithms.EGO {
 
-  [StorableClass]
-  [Item("NeighbourDistance", "Exploration by maximizing the distance to the nearest neighbour")]
+    [StorableType("96160d45-3abb-460b-aa31-c00204c1e914")]
+    [Item("NeighbourDistance", "Exploration by maximizing the distance to the nearest neighbour")]
   public class NeighbourDistance : InfillCriterionBase {
 
@@ -39,5 +38,5 @@
     #region Constructors, Serialization and Cloning 
     [StorableConstructor]
-    protected NeighbourDistance(bool deserializing) : base(deserializing) { }
+    protected NeighbourDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected NeighbourDistance(NeighbourDistance original, Cloner cloner) : base(original, cloner) { }
     public NeighbourDistance() { }
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/PluginExpectedImprovement.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/PluginExpectedImprovement.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/InfillCriteria/PluginExpectedImprovement.cs	(revision 17332)
@@ -21,20 +21,21 @@
 
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 // ReSharper disable once CheckNamespace
-namespace HeuristicLab.Algorithms.EGO {
+namespace HeuristicLab.Algorithms.EGO
+{
 
-  [StorableClass]
-  [Item("PluginExpectedImprovement", "Noisy InfillCriterion, Extension of the Expected Improvement by using the minimal prediction on the observed points\n rather than the minimal observed value as described in \n Global optimization based on noisy evaluations: An empirical study of two statistical approaches\r\nEmmanuel Vazqueza, Julien Villemonteixb, Maryan Sidorkiewiczb and Éric Walterc")]
+    [StorableType("1983bcd7-f157-4498-9827-3be4a5af2b17")]
+    [Item("PluginExpectedImprovement", "Noisy InfillCriterion, Extension of the Expected Improvement by using the minimal prediction on the observed points\n rather than the minimal observed value as described in \n Global optimization based on noisy evaluations: An empirical study of two statistical approaches\r\nEmmanuel Vazqueza, Julien Villemonteixb, Maryan Sidorkiewiczb and Éric Walterc")]
   public class PluginExpectedImprovement : ExpectedImprovementBase {
 
     #region HL-Constructors, Serialization and Cloning 
     [StorableConstructor]
-    protected PluginExpectedImprovement(bool deserializing) : base(deserializing) { }
+    protected PluginExpectedImprovement(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PluginExpectedImprovement(PluginExpectedImprovement original, Cloner cloner) : base(original, cloner) { }
     public PluginExpectedImprovement() { }
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/CorrelationAnalyzer.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/CorrelationAnalyzer.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/CorrelationAnalyzer.cs	(revision 17332)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Analysis;
 using HeuristicLab.Common;
@@ -30,11 +31,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("CorrelationAnalyzer", "Analyzes the correlation between perdictions and actual fitness values")]
-  [StorableClass]
-  public class CorrelationAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
+    [StorableType("f0dec41c-e5c6-4785-a8f8-af1f40c598b9")]
+    public class CorrelationAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
     public override bool CanChangeName => true;
     public bool EnabledByDefault => false;
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected CorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected CorrelationAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CorrelationAnalyzer(CorrelationAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public CorrelationAnalyzer() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/EvaluatedSolutionsAnalyzer.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/EvaluatedSolutionsAnalyzer.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/EvaluatedSolutionsAnalyzer.cs	(revision 17332)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Analysis;
 using HeuristicLab.Common;
@@ -30,10 +31,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("EvaluatedSolutionsAnalyzer", "Displays the evaluated Solutions for one or two dimensional problems")]
-  [StorableClass]
-  public class EvaluatedSolutionsAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
+    [StorableType("95349254-796c-47cc-b17a-0581e8c1dce7")]
+    public class EvaluatedSolutionsAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
     public override bool CanChangeName => true;
     public bool EnabledByDefault => false;
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    protected EvaluatedSolutionsAnalyzer(bool deserializing) : base(deserializing) { }
+    protected EvaluatedSolutionsAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EvaluatedSolutionsAnalyzer(EvaluatedSolutionsAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public EvaluatedSolutionsAnalyzer() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/FitnessClusteringAnalyzer.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/FitnessClusteringAnalyzer.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/FitnessClusteringAnalyzer.cs	(revision 17332)
@@ -23,4 +23,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.DataAnalysis;
 using HeuristicLab.Analysis;
@@ -31,11 +32,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("FitnessClusteringAnalyzer", "Analyzes the correlation between perdictions and actual fitness values")]
-  [StorableClass]
-  public class FitnessClusteringAnalyzer : SingleSuccessorOperator, IAnalyzer, IStochasticOperator, IResultsOperator {
+    [StorableType("3e92b03f-eba4-4bb0-a53c-921c51372389")]
+    public class FitnessClusteringAnalyzer : SingleSuccessorOperator, IAnalyzer, IStochasticOperator, IResultsOperator {
     public override bool CanChangeName => true;
     public bool EnabledByDefault => false;
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected FitnessClusteringAnalyzer(bool deserializing) : base(deserializing) { }
+    protected FitnessClusteringAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     protected FitnessClusteringAnalyzer(FitnessClusteringAnalyzer original, Cloner cloner) : base(original, cloner) { }
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/InfillSolver.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/InfillSolver.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/InfillSolver.cs	(revision 17332)
@@ -22,4 +22,5 @@
 using System;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -28,11 +29,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("InfillSolver", "A RealVectorCreator that creates candidates by optimizing an infill-subproblem")]
-  [StorableClass]
-  public class InfillSolver : RealVectorCreator, ICancellableOperator {
+    [StorableType("b1ba4532-ed8d-46a2-8115-30b21e9c595a")]
+    public class InfillSolver : RealVectorCreator, ICancellableOperator {
 
     public ILookupParameter<IAlgorithm> InfillOptimizationAlgorithmParamter => (ILookupParameter<IAlgorithm>)Parameters["InfillAlgorithm"];
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected InfillSolver(bool deserializing) : base(deserializing) { }
+    protected InfillSolver(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InfillSolver(InfillSolver original, Cloner cloner) : base(original, cloner) { }
     public InfillSolver() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/ModelBuilder.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/ModelBuilder.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/ModelBuilder.cs	(revision 17332)
@@ -23,4 +23,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.DataAnalysis;
 using HeuristicLab.Common;
@@ -35,6 +36,6 @@
 namespace HeuristicLab.Algorithms.EGO {
   [Item("ModelBuilder", "Builds a model from a dataset and a given RegressionAlgorithm")]
-  [StorableClass]
-  public class ModelBuilder : InstrumentedOperator, IStochasticOperator, ICancellableOperator {
+    [StorableType("8b80026f-b6a5-4892-9826-86ffba1e4e10")]
+    public class ModelBuilder : InstrumentedOperator, IStochasticOperator, ICancellableOperator {
     public override bool CanChangeName => true;
     public CancellationToken Cancellation { get; set; }
@@ -50,5 +51,5 @@
 
     [StorableConstructor]
-    protected ModelBuilder(bool deserializing) : base(deserializing) { }
+    protected ModelBuilder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ModelBuilder(ModelBuilder original, Cloner cloner) : base(original, cloner) { }
     public ModelBuilder() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/ModelQualityAnalyzer.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/ModelQualityAnalyzer.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/ModelQualityAnalyzer.cs	(revision 17332)
@@ -20,4 +20,5 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Analysis;
 using HeuristicLab.Common;
@@ -26,11 +27,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("ModelQualityAnalyzer", "Collects RealVectors into a modifiablbe dataset")]
-  [StorableClass]
-  public class ModelQualityAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
+    [StorableType("12c5a773-4397-45eb-ad25-0ffc897513f8")]
+    public class ModelQualityAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
     public override bool CanChangeName => true;
     public bool EnabledByDefault => false;
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ModelQualityAnalyzer(bool deserializing) : base(deserializing) { }
+    protected ModelQualityAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ModelQualityAnalyzer(ModelQualityAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public ModelQualityAnalyzer() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/SampleCollector.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/SampleCollector.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/SampleCollector.cs	(revision 17332)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -28,11 +29,10 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("SampleCollector", "Collects RealVectors into a modifiablbe dataset")]
-  [StorableClass]
-  public class SampleCollector : InstrumentedOperator {
+    [StorableType("f207dfb7-2f26-4a2a-9d23-eebf2c7df1de")]
+    public class SampleCollector : InstrumentedOperator {
     public override bool CanChangeName => true;
 
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected SampleCollector(bool deserializing) : base(deserializing) { }
+    protected SampleCollector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SampleCollector(SampleCollector original, Cloner cloner) : base(original, cloner) { }
     public SampleCollector() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/VariableVariabilityAnalyzer.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/VariableVariabilityAnalyzer.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Operators/VariableVariabilityAnalyzer.cs	(revision 17332)
@@ -22,4 +22,5 @@
 using System;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Analysis;
 using HeuristicLab.Common;
@@ -29,11 +30,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.EGO {
   [Item("VariableVariabilityAnalyzer", "Analyzes the correlation between perdictions and actual fitness values")]
-  [StorableClass]
-  public class VariableVariabilityAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
+    [StorableType("3bc82bbb-e9dd-4a50-8241-cfcf230be8c9")]
+    public class VariableVariabilityAnalyzer : SingleSuccessorOperator, IAnalyzer, IResultsOperator {
     public override bool CanChangeName => true;
     public bool EnabledByDefault => false;
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected VariableVariabilityAnalyzer(bool deserializing) : base(deserializing) { }
+    protected VariableVariabilityAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected VariableVariabilityAnalyzer(VariableVariabilityAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public VariableVariabilityAnalyzer() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Problems/InfillProblem.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Problems/InfillProblem.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/Problems/InfillProblem.cs	(revision 17332)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -32,6 +33,6 @@
 
 namespace HeuristicLab.Algorithms.EGO {
-  [StorableClass]
-  [Item("InfillProblem", "A problem for finding the most interesing potential new sampling Points by optimizing some InfillCriterion")]
+    [StorableType("4f14a2dd-b68c-4713-918c-46b264087212")]
+    [Item("InfillProblem", "A problem for finding the most interesing potential new sampling Points by optimizing some InfillCriterion")]
   public sealed class InfillProblem : SingleObjectiveBasicProblem<RealVectorEncoding> {
 
@@ -60,5 +61,5 @@
     #region Constructors
     [StorableConstructor]
-    private InfillProblem(bool deserializing) : base(deserializing) { }
+    private InfillProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     private InfillProblem(InfillProblem original, Cloner cloner) : base(original, cloner) {
       infillCriterion = cloner.Clone(original.infillCriterion);
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/SamplingMethods/LatinHyperCubeDesignCreator.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/SamplingMethods/LatinHyperCubeDesignCreator.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/SamplingMethods/LatinHyperCubeDesignCreator.cs	(revision 17332)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -35,6 +36,6 @@
 namespace HeuristicLab.Algorithms.EGO {
 
-  [StorableClass]
-  [Item("LatinHyperCubeDesignCreator", "A latin hypercube sampling strategy for real valued optimization")]
+    [StorableType("03d03890-d122-4730-b7bf-378a40d90a22")]
+    [Item("LatinHyperCubeDesignCreator", "A latin hypercube sampling strategy for real valued optimization")]
   public class LatinHyperCubeDesignCreator : RealVectorCreator, IInitialSampling<RealVector> {
     private IValueLookupParameter<IntValue> DesignSize => (IValueLookupParameter<IntValue>)Parameters["DesignSize"];
@@ -43,5 +44,5 @@
 
     [StorableConstructor]
-    protected LatinHyperCubeDesignCreator(bool deserializing) : base(deserializing) { }
+    protected LatinHyperCubeDesignCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     protected LatinHyperCubeDesignCreator(LatinHyperCubeDesignCreator original, Cloner cloner) : base(original, cloner) {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/SamplingMethods/UniformRandomDiscreteSampling.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/SamplingMethods/UniformRandomDiscreteSampling.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/SamplingMethods/UniformRandomDiscreteSampling.cs	(revision 17332)
@@ -20,20 +20,20 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
 using HeuristicLab.Encodings.IntegerVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 // ReSharper disable once CheckNamespace
 namespace HeuristicLab.Algorithms.EGO {
 
-  [StorableClass]
-  [Item("UniformRandomDiscreteSampling", "A uniform random sampling strategy for real valued optimization")]
+    [StorableType("6c6474ee-b8f2-409e-a2e4-61b7c01e1fa2")]
+    [Item("UniformRandomDiscreteSampling", "A uniform random sampling strategy for real valued optimization")]
   public class UniformRandomDiscreteSampling : ParameterizedNamedItem, IInitialSampling<IntegerVector> {
 
     #region HL-Constructors, Serialization and Cloning 
     [StorableConstructor]
-    protected UniformRandomDiscreteSampling(bool deserializing) : base(deserializing) { }
+    protected UniformRandomDiscreteSampling(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected UniformRandomDiscreteSampling(UniformRandomDiscreteSampling original, Cloner cloner) : base(original, cloner) { }
     public UniformRandomDiscreteSampling() {
Index: branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/SamplingMethods/UniformRandomSampling.cs
===================================================================
--- branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/SamplingMethods/UniformRandomSampling.cs	(revision 16537)
+++ branches/2745_EfficientGlobalOptimization/HeuristicLab.Algorithms.EGO/SamplingMethods/UniformRandomSampling.cs	(revision 17332)
@@ -20,20 +20,20 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 // ReSharper disable once CheckNamespace
 namespace HeuristicLab.Algorithms.EGO {
 
-  [StorableClass]
-  [Item("UniformRandomSampling", "A uniform random sampling strategy for real valued optimization")]
+    [StorableType("5e725905-0d77-4379-bbb9-8ca6ae392e59")]
+    [Item("UniformRandomSampling", "A uniform random sampling strategy for real valued optimization")]
   public class UniformRandomSampling : ParameterizedNamedItem, IInitialSampling<RealVector> {
 
     #region HL-Constructors, Serialization and Cloning 
     [StorableConstructor]
-    protected UniformRandomSampling(bool deserializing) : base(deserializing) { }
+    protected UniformRandomSampling(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected UniformRandomSampling(UniformRandomSampling original, Cloner cloner) : base(original, cloner) { }
     public UniformRandomSampling() {
